Subject: Re: bug#50738: `ert-deftest` bodies should not use lexical-binding=nil

From: Mattias Engdegård <[email-masked]>
Date: Sat, 25 Sep 2021 20:33:49 +0200

23 sep. 2021 kl. 07.50 skrev Eli Zaretskii <[email-masked]>:

> I think it's dangerous to do this in Emacs 28.  After all, the
> original issue is with ERT, whereas the change will affect gobs of
> code.  After the emacs-28 branch is cut, if you feel adventurous, ...

I agree, let's stick to fixing ERT now. Now done: in the most conservative way, using the ambient value of lexical-binding.